Grid objectSets admin API Resource

Object Sets admin API

POST /objectset/addobjects

add new object Set

Try it out!

Request Body
media type data type description
application/json ObjectSetContentRequest (JSON) - objectSet data
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with success information

DELETE /objectset/json

delete user object Set

Try it out!

Request Body
media type data type description
application/json HdcSimpleIdTO (JSON) - object with id of object Set
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded

GET /objectset/json

Get all objectSets for session user

Try it out!

Response Body
media type data type description
application/json array of ObjectSetTO (JSON) JSON Response with objectSet data

Example of response:

POST /objectset/json

add new object Set for user

Try it out!

Request Body
media type data type description
application/json SimpleAddObjectSetRequest (JSON) - objectSet data
Response Body
media type data type description
application/json SuccessAddObjectTO (JSON) JSON Response with description of objectSet with unique ID and success information

PUT /objectset/json

update object Set for user

Try it out!

Request Body
media type data type description
application/json SimpleUpdateObjectSetRequest (JSON) - objectSet data
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with success information

DELETE /objectset/removeobjects

delete objects from object Set

Try it out!

Request Body
media type data type description
application/json ObjectSetContentRequest (JSON) - objectSet data
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded

GET /admin/objectset/json

Get all objectSets

Try it out!

Response Body
media type data type description
application/json array of ObjectSetTO (JSON) JSON Response with objectSet data

Example of response:

POST /admin/objectset/json

add new object Set for user

Try it out!

Request Body
media type data type description
application/json SimpleAddObjectSetRequest (JSON) - objectSet data
Response Body
media type data type description
application/json SuccessAddObjectTO (JSON) JSON Response with object set data with Identifier and success information

PUT /admin/objectset/json

update object Set for user

Try it out!

Request Body
media type data type description
application/json SimpleUpdateObjectSetRequest (JSON) - objectSet data
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with success information

POST /objectset/assign/{osId}

Assign user to object set

Try it out!

Request Parameters
name type description default constraints
osId path Id of object set   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded

GET /objectset/json/{objectSetId}

Get user object Set

Try it out!

Request Parameters
name type description default constraints
objectSetId path - id of object Set   long
Response Body
media type data type description
application/json ObjectSetContent (JSON) JSON Response with objectSet data

GET /objectset/members/{objectSetId}

Get list of object set members (users or groups)

Try it out!

Request Parameters
name type description default constraints
objectSetId path   long
mode query    
Response Body
media type data type description
application/json object (JSON) JSON with list of groups

Example of response:

{"list":[{"id":"x","description":"Members of Tessel Crew group","name":"Tessel Crew"},{"id":"y","description":"aaa bbb ccc ddd eee fff ggg hhh iii jjj kkk lll ","name":"Group B"}]} or JSON with list of users

Example of response:

{"list":[{"id":1,"name":"admin","userFullName":"Admin","description":"","enabled":true,"email":"","loginCount":1840,"lastLoginDate":"2013-09-26T10:18:36.199072+02:00"},{"id":2,"name":"user1","userFullName":"User 1","description":"","enabled":true,"email":"","loginCount":784,"lastLoginDate":"2013-09-25T13:16:12.990218+02:00"}]}

POST /objectset/unassign/{osId}

Unassign user to object set

Try it out!

Request Parameters
name type description default constraints
osId path Id of object set   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded

POST /admin/objectset/assign/{osId}

Assign user to object set

Try it out!

Request Parameters
name type description default constraints
osId path Id of object set   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded

DELETE /admin/objectset/json/{objectSetId}

delete user object Set

Try it out!

Request Parameters
name type description default constraints
objectSetId path - id of object Set   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded

GET /admin/objectset/json/{objectSetId}

Get user object Set

Try it out!

Request Parameters
name type description default constraints
objectSetId path - id of object Set   long
Response Body
media type data type description
application/json ObjectSetContent (JSON) JSON Response with objectSet data

GET /admin/objectset/members/{objectSetId}

Get list of object set members (users or groups)

Try it out!

Request Parameters
name type description default constraints
objectSetId path   long
mode query    
Response Body
media type data type description
application/json object (JSON) JSON with list of groups

Example of response:

{"list":[{"id":"x","description":"Members of Tessel Crew group","name":"Tessel Crew"},{"id":"y","description":"aaa bbb ccc ddd eee fff ggg hhh iii jjj kkk lll ","name":"Group B"}]} or JSON with list of users

Example of response:

{"list":[{"id":1,"name":"admin","userFullName":"Admin","description":"","enabled":true,"email":"","loginCount":1840,"lastLoginDate":"2013-09-26T10:18:36.199072+02:00"},{"id":2,"name":"user1","userFullName":"User 1","description":"","enabled":true,"email":"","loginCount":784,"lastLoginDate":"2013-09-25T13:16:12.990218+02:00"}]}

DELETE /admin/objectset/removeobjects/{objectSetId}

delete objects from object Set

Try it out!

Request Parameters
name type description default constraints
objectSetId path - id of object Set   long
Request Body
media type data type description
application/json array of array of number (JSON) - objectSet data
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded

POST /admin/objectset/unassign/{osId}

Unassign user to object set

Try it out!

Request Parameters
name type description default constraints
osId path Id of object set   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if operation succeeded